Subject: Re: bug#2588: 23.0.90; Man buffer improperly formatted - wrong width

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Mar 2009 21:04:55 +0200

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 08 Mar 2009 12:08:49 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > AFAICS, we started setting COLUMNS in the environment because on some
> > GNU/Linux system, under X, not setting it would result in over-long
> > lines.  To avoid that with pop-up-frames, we could set COLUMNS to the
> > value 80.  For a frame that is not yet created, 80 sounds like a
> > better default than the width of some other frame/window.
> 
> Right, and this handles the case where the selected frame is abnormally
> wide.  But suppose the selected frame is the normal width, and has a
> width of 200.  The default-to-80-columns would do the wrong thing.

Again, I was talking _only_ about the use-case where pop-up-frames is
non-nil.  In that case, how do you know that default-to-80-columns is
the wrong thing?  The fact that the frame selected when "M-x man" is
invoked is 200 columns wide says nothing about the frame that will be
used to display the formatted manual.

Or maybe you meant that the frame to be popped up will be 200 columns
wide.  But that is a marginal case, IMO, and it didn't work in Emacs
20, either.  So we could leave that for fixing after the release, if
ever.

When pop-up-frames is nil, the current code works well, and we don't
need to change it, IMO, certainly not before 23.1 is released.